## Check netstat

Script: `check_netstat`

Count number of network connections.

## Standalone installation

From this repository ypu need next to this script:

* `inc_pluginfunctions` shared function for all IML checks written in bash

## Syntax

```text
> ./check_netstat -h
______________________________________________________________________

CHECK_NETSTAT
v1.2

(c) Institute for Medical Education - University of Bern
Licence: GNU GPL 3

https://os-docs.iml.unibe.ch/icinga-checks/Checks/check_netstat.html
______________________________________________________________________

Count number of network connections.

SYNTAX:
check_netstat [ -w value -c value -h ]

    -w VALUE       warning level for connectios total
    -c VALUE       critical level
    -h or --help   show this help.

PARAMETERS:

    None.

EXAMPLES:
check_netstat      Show count of current connections
                   If there is no -w and -c then the result is always OK.
check_netstat -w 400 -c 500
                   Show count of connections incl. limits for warning
                   and critical.

```

## Examples

Simple call:

```txt
> ./check_netstat
OK: NETSTAT - count of connections: 27
     20 ESTABLISHED
      4 LISTEN
      3 TIME_WAIT
 |established=20;;;0; listen=4;;;0; time-wait=3;;;0;
 ```
